%define summary A commonly used, MIME compliant mail and news reader.
%define name pine
%define exec /usr/bin/pine
%define section Networking/Mail

Summary: %{summary}
Name: %{name}
Icon: %{name}.xpm
Version: 4.21
Release: 4mdk
Copyright: distributable
Url: http://www.washington.edu/pine
Group: Networking/Mail
Source0: ftp://ftp.cac.washington.edu/pine/pine%{version}.tar.bz2
Source1: %{name}_16x16.xpm
Source2: %{name}_32x32.xpm
Source3: pine.conf
Patch0: pine4.20-redhat.patch.bz2
# XXX is sigchild patch still necessary???
Patch3: pine-3.96-sigchld.patch.bz2
Patch5: pine-4.02-filter.patch.bz2
Patch6: pine4.04-noflock.patch.bz2
Patch8: maildir991209.patch.bz2
Patch9: pine4.00-pine-maildir.patch.bz2
Patch10: pine4.10-vfs.patch.bz2
Patch11: pine4.10-c-client_directory_with_driver.patch.bz2
Patch12: passwd-path.patch.bz2
Buildroot: /var/tmp/pine-root

%description
Pine is a very popular, easy to use, full-featured email user agent
which includes a simple text editor called pico. Pine supports MIME
extensions and can also be used to read news.  Pine also supports
IMAP, mail and MH style folders.

Pine should be installed because Pine is a very commonly used email
user agent and it is currently in development.

%prep
%setup -q -n pine%{version}
%patch0 -p1 -b .glibc
%patch5 -p1 -b .filter
%patch6 -p1 -b .noflock
%patch8 -p1 -b .maildir
%patch9 -p1 -b .maildir2
%patch10 -p1 -b .vfs
%patch11 -p1 -b .cclientdir
%patch12 -p1 -b .passwd-path

# this wants /usr/local/bin/perl
chmod 644 contrib/utils/pwd2pine

%build
perl -p -i -e "s/-g -fno-omit-frame-pointer -O6/$RPM_OPT_FLAGS/" \
	c-client/Makefile imap/src/osdep/unix/Makefile imap/c-client/Makefile

./build	DEBUG="" \
	OPTIMIZE="$RPM_OPT_FLAGS" \
	EXTRACFLAGS="-DIGNORE_LOCK_EACCES_ERRORS" \
	slx

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/doc $RPM_BUILD_ROOT/usr/lib
install -m 644 doc/mime.types $RPM_BUILD_ROOT/usr/lib/mime.types
for n in pine pico pilot; do
    install -m 755 -s bin/$n $RPM_BUILD_ROOT/usr/bin/$n
done

cd doc
for n in pine.1 pico.1 pilot.1; do
    bzip2 -9f $n
    install -m 644 $n.bz2 $RPM_BUILD_ROOT/usr/man/man1
done
mkdir -p $RPM_BUILD_ROOT/etc
cp %{SOURCE3} $RPM_BUILD_ROOT/etc/pine.conf

# icons
install -m 644 -D  %{SOURCE1}  \
	$RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm 
install -m 644 -D %{SOURCE2}   \
	$RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm 

# (fg) Menu entry 1 (pine)
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/%{name} <<EOF
?package(%{name}):\\
	command="%{exec}"\\
	needs="text"\\
	icon="/usr/share/icons/%{name}.xpm"\\
	section="%{section}"\\
	title="%{name}"\\
	longtitle="%{name}: %{summary}"
EOF

# (fg) Menu entry 2 (pico)
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/pico <<EOF
?package(%{name}):\\
	command="%{_prefix}/bin/pico"\\
	needs="text"\\
	icon="/usr/share/icons/%{name}.xpm"\\
	section="Applications/Editors"\\
	title="pico"\\
	longtitle="pico: default editor for pine"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
## add menu entry 
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
## remove menu entry 
[ "$1" = 0 ] && [ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%files
%defattr(-,root,root)
%doc README CPYRIGHT doc/*.txt doc/pine-ports doc/tech-notes doc/mailcap.unx contrib
/usr/bin/pine
/usr/bin/pico
/usr/bin/pilot
/usr/man/man1/*
%attr(0644,root,root)	/usr/lib/mime.types
%attr(0644,root,root)	%config /etc/pine.conf

%defattr(0644,root,root)
/usr/lib/menu/%{name}
/usr/lib/menu/pico
/usr/share/icons/%{name}.xpm
/usr/share/icons/mini/%{name}.xpm


%changelog
* Sun Apr 09 2000 Denis HAvlik <denis@mandrakesoft.com> 4.21-4mdk
- Group: Networking/Mail
- pine-tree icon + menu entries (for pine + pico)
- spec-helper

* Sat Feb 19 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 4.21-3mdk
- make patch to change os-lnx.h from /bin/passwd to /usr/bin/passwd

* Tue Dec 14 1999 John Buswell <johnb@mandrakesoft.com>
- add new maildir patches
- add vfs patch
- fixed non-existant directory seek problem (bug:#506)

* Tue Nov 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.21.
- Merge with recent redhat changes.

* Tue Nov 02 1999 John Buswell <johnb@mandrakesoft.com>
- Rebuild and Repackage for oxygen (release 2)

* Thu Oct 14 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 4.20
- sync with RH

* Thu Aug 12 1999 Cristian Gafton <gafton@redhat.com>
- add maildir patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Feb 26 1999 Cristian Gafton <gafton@redhat.com>
- fix buildroot and add cleanup section
- move config files to /etc/pine.conf

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- turned off .pine-debugX files

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Fri Nov 13 1998 Cristian Gafton <gafton@redhat.com>
- patch to enable SIGWINCH processing (why do the pine folks keep 
  disabling this stuff?!)

* Fri Oct 09 1998 Cristian Gafton <gafton@redhat.com>
- use termios instead of termio (patch used to be in here...)
- use terminfo instead of termcap and link against ncurses instead of termcap
- supply -lcrypt as a standard lib

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 4.04 (compatibility with some client imaps).

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- use only fcntl locking.

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.03

* Fri Aug 14 1998 Jeff Johnson <jbj@redhat.com>
- patch to 4.02A.
- disable stupid EACCESS warnings.

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.02.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jan 15 1998 Erik Troan <ewt@redhat.com>
- added patch to fix pine filters

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- fixed resizing in pine and pico

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- removed patch for SIGCHLD race -- it shouldn't be necessary
- added patch to avoid longjmp() from SIGCHLD handler -- SIGCHLD handling
  is sane now

* Thu Dec 11 1997 Cristian Gafton <gafton@redhat.com>
- added a patch for handling a SIGCHLD race condition

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- fix for locks w/ long st_dev field
- use termios rather then termio

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- removed exec bit from /usr/doc/pine-3.96-1/contrib/utils/pwd2pine
